# SourcePath: cairomm/20180320dev
Summary: The Cairomm package provides a C++ interface to Cairo.
Name: sony-target-dev-cairomm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-cairomm
Version: 1.12.2
Release: 12010001
Source: cairomm-%{version}.tar.gz
URL:  https://www.cairographics.org/releases/
License: LGPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
Cairomm is the C++ API for the cairo graphics library. It offers all the
power of cairo with an interface familiar to C++ developers, including
use of the Standard Template Library where it makes sense.

%package -n %{pkgname}
Summary: The Cairomm package provides a C++ interface to Cairo.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Cairomm is the C++ API for the cairo graphics library. It offers all the
power of cairo with an interface familiar to C++ developers, including
use of the Standard Template Library where it makes sense.

%prep
%setup -n cairomm-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall
%demangle_libtool

# Remove docs and man pages
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/*

# Move pkgconfig files and .a files
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Mar 20 2018 Sony Corporation
- Initial build.
